Page MenuHomePhabricator

Right-to-left rendering on a left-to-right wiki screws up watchlist formatting
Closed, ResolvedPublic

Description

Author: mets501wiki

Description:
When looking at your watchlist (and I assume it would occur on recent changes
too), right-to-left text in a left-to-right wiki screws up. The HTML looks fine
though, as far as I can tell, so if it's a firefox bug then just let me know.
Here's the HTML for the few lines of the watchlist, if you're curious:

<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" "
/><tt>&nbsp;<span class="minor">m</span>&nbsp;&nbsp; 22:22 </tt><a
href="/wiki/Wikipedia_talk:AutoWikiBrowser/Feature_requests" title="Wikipedia
talk:AutoWikiBrowser/Feature requests">Wikipedia talk:AutoWikiBrowser/Feature
requests</a> (<a
href="/w/index.php?title=Wikipedia_talk:AutoWikiBrowser/Feature_requests&amp;curid=9548733&amp;diff=119357196&amp;oldid=119356931"
title="Wikipedia talk:AutoWikiBrowser/Feature requests" tabindex="22">diff</a>;
<a
href="/w/index.php?title=Wikipedia_talk:AutoWikiBrowser/Feature_requests&amp;curid=9548733&amp;action=history"
title="Wikipedia talk:AutoWikiBrowser/Feature requests">hist</a>) . .
&nbsp;<span class='mw-plusminus-pos'>(+167)</span> . . <a
href="/wiki/User:Reedy_Boy" title="User:Reedy Boy">Reedy Boy</a> (<a
href="/wiki/User_talk:Reedy_Boy" title="User talk:Reedy Boy">Talk</a> | <a
href="/wiki/Special:Contributions/Reedy_Boy" title="Special:Contributions/Reedy
Boy">contribs</a> | <a href="/wiki/Special:Blockip/Reedy_Boy"
title="Special:Blockip/Reedy Boy">block</a>) <span class="comment">(<span
class="autocomment"><a
href="/wiki/Wikipedia_talk:AutoWikiBrowser/Feature_requests#case"
title="Wikipedia talk:AutoWikiBrowser/Feature requests">→</a>case -</span>
reply)</span><br />

<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" "
/><tt>&nbsp;&nbsp;&nbsp;&nbsp; 22:19 </tt><a
href="/wiki/Wikipedia_talk:AutoWikiBrowser/Bugs/Archive" title="Wikipedia
talk:AutoWikiBrowser/Bugs/Archive">Wikipedia
talk:AutoWikiBrowser/Bugs/Archive</a> (<a
href="/w/index.php?title=Wikipedia_talk:AutoWikiBrowser/Bugs/Archive&amp;curid=9486556&amp;diff=119356692&amp;oldid=118967498"
title="Wikipedia talk:AutoWikiBrowser/Bugs/Archive" tabindex="23">diff</a>; <a
href="/w/index.php?title=Wikipedia_talk:AutoWikiBrowser/Bugs/Archive&amp;curid=9486556&amp;action=history"
title="Wikipedia talk:AutoWikiBrowser/Bugs/Archive">hist</a>) . . &nbsp;<span
class='mw-plusminus-pos'>(+6,464)</span> . . <a href="/wiki/User:Reedy_Boy"
title="User:Reedy Boy">Reedy Boy</a> (<a href="/wiki/User_talk:Reedy_Boy"
title="User talk:Reedy Boy">Talk</a> | <a
href="/wiki/Special:Contributions/Reedy_Boy" title="Special:Contributions/Reedy
Boy">contribs</a> | <a href="/wiki/Special:Blockip/Reedy_Boy"
title="Special:Blockip/Reedy Boy">block</a>) <span
class="comment">(Archived)</span><br />

<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" "
/><tt>&nbsp;<span class="minor">m</span><span class="bot">b</span>&nbsp; 22:04
</tt><a href="/wiki/Trentino-Alto_Adige/S%C3%BCdtirol" title="Trentino-Alto
Adige/Südtirol">Trentino-Alto Adige/Südtirol</a> (<a
href="/w/index.php?title=Trentino-Alto_Adige/S%C3%BCdtirol&amp;curid=246766&amp;diff=119353936&amp;oldid=119349815"
title="Trentino-Alto Adige/Südtirol" tabindex="24">diff</a>; <a
href="/w/index.php?title=Trentino-Alto_Adige/S%C3%BCdtirol&amp;curid=246766&amp;action=history"
title="Trentino-Alto Adige/Südtirol">hist</a>) . . &nbsp;<span
class='mw-plusminus-pos'>(+45)</span> . . <a href="/wiki/User:Tsca.bot"
title="User:Tsca.bot">Tsca.bot</a> (<a href="/wiki/User_talk:Tsca.bot"
title="User talk:Tsca.bot">Talk</a> | <a
href="/wiki/Special:Contributions/Tsca.bot"
title="Special:Contributions/Tsca.bot">contribs</a> | <a
href="/wiki/Special:Blockip/Tsca.bot"
title="Special:Blockip/Tsca.bot">block</a>) <span class="comment">(robot
Adding: <a
href="http://ar.wikipedia.org/wiki/%D8%AA%D8%B1%D9%8A%D9%86%D8%AA%D9%8A%D9%86%D9%88_%D8%A3%D9%84%D8%AA%D9%88_%D8%A3%D8%AF%D9%8A%D8%AC%D9%8A"
class="extiw" title="ar:ترينتينو_ألتو_أديجي">ar:ترينتينو ألتو
أديجي</a>)</span><br />

<img src="/skins-1.5/common/images/Arr_.png" width="12" height="12" alt=" "
/><tt>&nbsp;&nbsp;&nbsp;&nbsp; 21:51 </tt><a
href="/wiki/Wikipedia:Requests_for_arbitration/Betacommand/Workshop"
title="Wikipedia:Requests for
arbitration/Betacommand/Workshop">Wikipedia:Requests for
arbitration/Betacommand/Workshop</a> (<a
href="/w/index.php?title=Wikipedia:Requests_for_arbitration/Betacommand/Workshop&amp;curid=10359121&amp;diff=119351211&amp;oldid=119308403"
title="Wikipedia:Requests for arbitration/Betacommand/Workshop"
tabindex="25">diff</a>; <a
href="/w/index.php?title=Wikipedia:Requests_for_arbitration/Betacommand/Workshop&amp;curid=10359121&amp;action=history"
title="Wikipedia:Requests for arbitration/Betacommand/Workshop">hist</a>) . .
&nbsp;<span class='mw-plusminus-pos'>(+273)</span> . . <a
href="/wiki/User:Ryanpostlethwaite"
title="User:Ryanpostlethwaite">Ryanpostlethwaite</a> (<a
href="/wiki/User_talk:Ryanpostlethwaite" title="User
talk:Ryanpostlethwaite">Talk</a> | <a
href="/wiki/Special:Contributions/Ryanpostlethwaite"
title="Special:Contributions/Ryanpostlethwaite">contribs</a> | <a
href="/wiki/Special:Blockip/Ryanpostlethwaite"
title="Special:Blockip/Ryanpostlethwaite">block</a>) <span
class="comment">(inappropriate username blocks)</span><br />

I'm going to attach a screenshot in a second.


Version: unspecified
Severity: normal
OS: Windows Vista
Platform: PC

Details

Reference
bz9468

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:37 PM
bzimport set Reference to bz9468.
bzimport created this task.Apr 1 2007, 2:14 AM

mets501wiki wrote:

Screenshot

Attached:

Changed component to "Watchlist"

Is fixed now. If it still appears than we should consider table-ized layout for lists as each cell would specify direction.

Is fixed now. If it still appears than we should consider table-ized layout for lists as each cell would specify direction.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptSep 7 2016, 10:17 PM